import { IWorkbenchEnvironmentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/environment/common/environmentService.service";
import { IInstantiationService } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
import { IFileService } from "@codingame/monaco-vscode-api/vscode/vs/platform/files/common/files.service";
import { IOutputChannelModel } from "./outputChannelModel.js";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { ILanguageSelection } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/languages/language";
export declare class OutputChannelModelService {
    private readonly fileService;
    private readonly instantiationService;
    readonly _serviceBrand: undefined;
    private readonly outputLocation;
    constructor(fileService: IFileService, instantiationService: IInstantiationService, environmentService: IWorkbenchEnvironmentService);
    createOutputChannelModel(id: string, modelUri: URI, language: ILanguageSelection, file?: URI): IOutputChannelModel;
    private _outputDir;
    private get outputDir();
}
